JABREF(1)

NAME
JabRef - graphical frontend to manage BibTeX databases

SYNOPSIS
jabref [OPTIONS] [BIBTEX_FILE]

DESCRIPTION
JabRef is a graphical Java application for editing bibtex (.bib) databases. JabRef lets you organize your entries into overlapping logical groups, and with a single click limit your view to a single group or an intersection or union of several groups. You can customize the entry information shown in the main window, and sort by any of the standard Bibtex fields. JabRef can autogenerate bibtex keys for your entries. JabRef also lets you easily link to PDF or web sources for your reference entries.
JabRef can import from and export to several formats, and you can customize export filters. JabRef can be run as a command line application to convert from any import format to any export format.

OPTIONS

-a, --aux <FILE>
    Subdatabase from AUX: file[.aux],new[.bib]

-asfl, --automaticallySetFileLinks
    Automatically set file links

-b, --blank
    Do not open any files at startup

-d, --prdef <FILE>
    Reset preferences (key1,key2,... or 'all')

--debug
    Show debug level messages

-f, --fetch <FILE>
    Run fetcher, e.g. "--fetch=Medline:cancer"

-g, --generateBibtexKeys
    Regenerate all keys for the entries in a BibTeX file

-h, --help
    Display help on command line options

-i, --import <FILE>
    Import file: filename[,import format]

--importToOpen <FILE>
    Import to open tab

-m, --exportMatches <FILE>
    [field]searchTerm,outputFile: file[,exportFormat]

-n, --nogui
    No GUI. Only process command line options.

-o, --output <FILE>
    Output or export file: filename[,export format]

-p, --primp <FILE>
    Import preferences from file

-v, --version
    Display version

-x, --prexp <FILE>
    Export preferences to file

  Available import formats:

BibTeX
    : bibtex

BibTeXML
    : bibtexml

Biblioscape
    : biblioscape

Copac
    : cpc

INSPEC
    : inspec

ISI : isi

MSBib
    : msbib

Medline
    : medline

MedlinePlain
    : medlineplain

Ovid
    : ovid

PDFcontent
    : pdfcontent

REPEC New Economic Papers (NEP)
    : repecnep

RIS : ris

Refer/Endnote
    : refer

SilverPlatter
    : silverplatter

XMP-annotated PDF
     : xmp

text citations
     : textcitations

Available export formats: MSBib, bibordf, bibtexml, din1505, docbook, endnote, harvard, html, iso690rtf, iso690txt, listrefs, misq, mods, ods, oocalc, oocsv, ris, simplehtml, tablerefs, tablerefsabsbib

EXAMPLES
Export a selection of references:

jabref -m '(author=bock or title|keywords="computer methods") and not (author=sager)',output.html,html -n true inputfile.bib

For information referring to the search function see the documentation for 'advanced search'.

Custom export formats can be added within the program (options - manage custom exports).

JAVA-WRAPPERS NOTE
This program is a shell script wrapper based on java-wrappers(7). You therefore benefit from several features; please see the java-wrappers(7) manual page for more information about them.

SEE ALSO
the included help and commandline help: jabref -h
https://www.jabref.org/
java-wrappers(7)